A typed array of 16-bit signed integer values. The contents are initialized to 0. If the requested number of bytes could not be allocated an exception is raised.

### Hierarchy

- Int16Array

### Indexable

[index: number]: number

A typed array of 16-bit signed integer values. The contents are initialized to 0. If the requested number of bytes could not be allocated an exception is raised.

## Index

### Properties

- BYTES_PER_ELEMENT
- buffer
- byteLength
- byteOffset
- length

### Methods

- copyWithin
- every
- fill
- filter
- find
- findIndex
- forEach
- indexOf
- join
- lastIndexOf
- map
- reduce
- reduceRight
- reverse
- set
- slice
- some
- sort
- subarray
- toLocaleString
- toString

## Properties

### BYTES_PER_ELEMENT

BYTES_PER_ELEMENT: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2483

The size in bytes of each element in the array.

### buffer

buffer: ArrayBufferLike

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2488

The ArrayBuffer instance referenced by the array.

### byteLength

byteLength: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2493

The length in bytes of the array.

### byteOffset

byteOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2498

The offset in bytes of the array.

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2596

The length of the array.

## Methods

### copyWithin

- copyWithin(target: number, start: number, end?: undefined | number): this

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2509

  Returns the this object after copying a section of the array identified by start and end to the same array starting at position target

  #### Parameters

  - ##### target: number

    If target is negative, it is treated as length+target where length is the length of the array.

  - ##### start: number

    If start is negative, it is treated as length+start. If end is negative, it is treated as length+end.

  - ##### Optional end: undefined | number

    If not specified, length of the this object is used as its default value.

  #### Returns this

### every

- every(callbackfn: function, thisArg?: any): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2519

  Determines whether all the members of an array satisfy the specified test.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.

    - - (value: number, index: number, array: Int16Array): boolean

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Int16Array

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns boolean

### fill

- fill(value: number, start?: undefined | number, end?: undefined | number): this

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2529

  Returns the this object after filling the section identified by start and end with value

  #### Parameters

  - ##### value: number

    value to fill array section with

  - ##### Optional start: undefined | number

    index to start filling the array at. If start is negative, it is treated as length+start where length is the length of the array.

  - ##### Optional end: undefined | number

    index to stop filling the array at. If end is negative, it is treated as length+end.

  #### Returns this

### filter

- filter(callbackfn: function, thisArg?: any): Int16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2538

  Returns the elements of an array that meet the condition specified in a callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.

    - - (value: number, index: number, array: Int16Array): any

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Int16Array

        #### Returns any

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns Int16Array

### find

- find(predicate: function, thisArg?: any): number | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2549

  Returns the value of the first element in the array where predicate is true, and undefined otherwise.

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, find immediately returns that element value. Otherwise, find returns undefined.

    - - (value: number, index: number, obj: Int16Array): boolean

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### obj: Int16Array

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns number | undefined

### findIndex

- findIndex(predicate: function, thisArg?: any): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2560

  Returns the index of the first element in the array where predicate is true, and -1 otherwise.

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, findIndex immediately returns that element index. Otherwise, findIndex returns -1.

    - - (value: number, index: number, obj: Int16Array): boolean

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### obj: Int16Array

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns number

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2569

  Performs the specified action for each element in an array.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.

    - - (value: number, index: number, array: Int16Array): void

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Int16Array

        #### Returns void

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns void

### indexOf

- indexOf(searchElement: number, fromIndex?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2576

  Returns the index of the first occurrence of a value in an array.

  #### Parameters

  - ##### searchElement: number

    The value to locate in the array.

  - ##### Optional fromIndex: undefined | number

    The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.

  #### Returns number

### join

- join(separator?: undefined | string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2583

  Adds all the elements of an array separated by the specified separator string.

  #### Parameters

  - ##### Optional separator: undefined | string

    A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma.

  #### Returns string

### lastIndexOf

- lastIndexOf(searchElement: number, fromIndex?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2591

  Returns the index of the last occurrence of a value in an array.

  #### Parameters

  - ##### searchElement: number

    The value to locate in the array.

  - ##### Optional fromIndex: undefined | number

    The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.

  #### Returns number

### map

- map(callbackfn: function, thisArg?: any): Int16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2606

  Calls a defined callback function on each element of an array, and returns an array that contains the results.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.

    - - (value: number, index: number, array: Int16Array): number

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Int16Array

        #### Returns number

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns Int16Array

### reduce

- reduce(callbackfn: function): number
- reduce(callbackfn: function, initialValue: number): number
- reduce<U>(callbackfn: function, initialValue: U): U

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2618

  Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

    - - (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array): number

      - #### Parameters

        - ##### previousValue: number

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Int16Array

        #### Returns number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2619

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array): number

      - #### Parameters

        - ##### previousValue: number

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Int16Array

        #### Returns number

  - ##### initialValue: number

  #### Returns number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2631

  Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

    - - (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Int16Array

        #### Returns U

  - ##### initialValue: U

    If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

  #### Returns U

### reduceRight

- reduceRight(callbackfn: function): number
- reduceRight(callbackfn: function, initialValue: number): number
- reduceRight<U>(callbackfn: function, initialValue: U): U

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2643

  Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

    - - (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array): number

      - #### Parameters

        - ##### previousValue: number

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Int16Array

        #### Returns number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2644

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array): number

      - #### Parameters

        - ##### previousValue: number

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Int16Array

        #### Returns number

  - ##### initialValue: number

  #### Returns number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2656

  Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

    - - (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Int16Array

        #### Returns U

  - ##### initialValue: U

    If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

  #### Returns U

### reverse

- reverse(): Int16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2661

  Reverses the elements in an Array.

  #### Returns Int16Array

### set

- set(array: ArrayLike<number>, offset?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2668

  Sets a value or an array of values.

  #### Parameters

  - ##### array: ArrayLike<number>

    A typed or untyped array of values to set.

  - ##### Optional offset: undefined | number

    The index in the current array at which the values are to be written.

  #### Returns void

### slice

- slice(start?: undefined | number, end?: undefined | number): Int16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2675

  Returns a section of an array.

  #### Parameters

  - ##### Optional start: undefined | number

    The beginning of the specified portion of the array.

  - ##### Optional end: undefined | number

    The end of the specified portion of the array.

  #### Returns Int16Array

### some

- some(callbackfn: function, thisArg?: any): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2685

  Determines whether the specified callback function returns true for any element of an array.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.

    - - (value: number, index: number, array: Int16Array): boolean

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Int16Array

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns boolean

### sort

- sort(compareFn?: undefined | function): this

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2692

  Sorts an array.

  #### Parameters

  - ##### Optional compareFn: undefined | function

    The name of the function used to determine the order of the elements. If omitted, the elements are sorted in ascending, ASCII character order.

  #### Returns this

### subarray

- subarray(begin: number, end?: undefined | number): Int16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2700

  Gets a new Int16Array view of the ArrayBuffer store for this array, referencing the elements at begin, inclusive, up to end, exclusive.

  #### Parameters

  - ##### begin: number

    The index of the beginning of the array.

  - ##### Optional end: undefined | number

    The index of the end of the array.

  #### Returns Int16Array

### toLocaleString

- toLocaleString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2705

  Converts a number to a string by using the current locale.

  #### Returns string

### toString

- toString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2710

  Returns a string representation of an array.

  #### Returns string

Generated using TypeDoc